| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | List of all members
Digikam::VersionsWidget Class Reference
Inheritance diagram for Digikam::VersionsWidget:

## Public Slots
void | setCurrentItem (const ItemInfo &info)

## Signals
void | imageSelected (const ItemInfo &info)

## Public Member Functions
| VersionsWidget (QWidget *const parent=nullptr)
ActionVersionsOverlay * | addActionOverlay (const QIcon &icon, const QString &text, const QString &tip=QString())
ShowHideVersionsOverlay * | addShowHideOverlay ()
VersionsDelegate * | delegate () const
void | readSettings (const KConfigGroup &group)
VersionsTreeView * | view () const
void | writeSettings (KConfigGroup &group)

## Protected Slots
void | slotSetupChanged ()
void | slotViewCurrentChanged (const QModelIndex &current, const QModelIndex &previous)
void | slotViewModeChanged (int mode)